Skip to main content
`Ctrl`+`K`

# SNESLineSearchVIProjectFn

A prototype of a `SNES` function that computes the norm of the active set variables in a vector in a VI solve, passed to `SNESLineSearchSetVIFunctions()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode(SNESLineSearchVINormFn)(SNES snes, Vec f, Vec u, PetscReal *fnorm);

## Calling Sequence

- snes - `SNES` context

- f - the vector to compute the norm of

- u - the current solution, entries that are on the VI bounds are ignored

- fnorm - the resulting norm

## Note

The deprecated `SNESLineSearchVINormFunc` still works as a replacement for `SNESLineSearchVINormFn` *.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`

## Level

advanced

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages